#!/bin/sh

if [ "$#" -lt 2 ]; then
        echo "Usage $0 <v1> <v2>";
        exit 1;
fi

OLD_VER=${1}
NEW_VER=${2}

d()
{
	OLD=${OLD_VER}/${1}
	NEW=${NEW_VER}/${1}
	if [ ! -s ${OLD} ]; then
	        echo "cannot find ${OLD}";
        	exit 2;
	fi

	if [ ! -s ${NEW} ]; then
		echo "cannot find ${NEW}";
		exit 3;
	fi

	DIFF=${NEW_VER}/diff/${1}-${OLD_VER}-to-${NEW_VER}.diff
	mkdir -p ${NEW_VER}/diff

	diff -u ${OLD} ${NEW} > $DIFF
}

d block_ip.sh
d brute_force_notice_ip.sh
d iptables
d show_blocked_ips.sh
d unblock_ip.sh

exit 0;
